org.jboss.netty.handler.execution

## Class ChannelDownstreamEventRunnableFilter

- java.lang.Object
- - org.jboss.netty.handler.execution.ChannelDownstreamEventRunnableFilter

All Implemented Interfaces:
  ChannelEventRunnableFilter

    public class ChannelDownstreamEventRunnableFilter
    extends Object
    implements ChannelEventRunnableFilter

`ChannelEventRunnableFilter` implementation which matches `ChannelDownstreamEventRunnable`

### Constructor Summary

Constructors
Constructor and Description
`ChannelDownstreamEventRunnableFilter()`

### Method Summary

Methods
`boolean` `filter(ChannelEventRunnable event)` Return `true` if the `ChannelEventRunnable` should get handled by the `Executor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChannelDownstreamEventRunnableFilter

    public ChannelDownstreamEventRunnableFilter()

### Method Detail

#### filter

    public boolean filter(ChannelEventRunnable event)

Description copied from interface: `ChannelEventRunnableFilter`
Return `true` if the `ChannelEventRunnable` should get handled by the `Executor`

Specified by:
  `filter` in interface `ChannelEventRunnableFilter`